digiKam Developer Documentation: Digikam::ImportSortFilterModel Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ImportSortFilterModel Class Reference
Inheritance diagram for Digikam::ImportSortFilterModel:

## Public Member Functions
| ImportSortFilterModel (QObject *const parent=nullptr)
qlonglong | camItemId (const QModelIndex &index) const
QList< qlonglong > | camItemIds (const QList< QModelIndex > &indexes) const
CamItemInfo | camItemInfo (const QModelIndex &index) const
QList< CamItemInfo > | camItemInfos (const QList< QModelIndex > &indexes) const
QList< CamItemInfo > | camItemInfosSorted () const
| Returns a list of all camera infos, sorted according to this model.
virtual ImportFilterModel * | importFilterModel () const
| Returns this, any chained ImportFilterModel, or 0.
QModelIndex | indexForCamItemId (qlonglong id) const
QModelIndex | indexForCamItemInfo (const CamItemInfo &info) const
QModelIndex | indexForPath (const QString &filePath) const
QModelIndex | mapFromDirectSourceToSourceImportModel (const QModelIndex &sourceModelIndex) const
QModelIndex | mapFromSourceImportModel (const QModelIndex &importModelIndex) const
QList< QModelIndex > | mapListFromSource (const QList< QModelIndex > &sourceIndexes) const
QList< QModelIndex > | mapListToSource (const QList< QModelIndex > &indexes) const
QModelIndex | mapToSourceImportModel (const QModelIndex &proxyIndex) const
| Convenience methods mapped to ImportItemModel.
void | setSourceFilterModel (ImportSortFilterModel *const sourceModel)
void | setSourceImportModel (ImportItemModel *const sourceModel)
ImportSortFilterModel * | sourceFilterModel () const
ImportItemModel * | sourceImportModel () const
Public Member Functions inherited from Digikam::DCategorizedSortFilterProxyModel
| DCategorizedSortFilterProxyModel (QObject *const parent=nullptr)
bool | isCategorizedModel () const
void | setCategorizedModel (bool categorizedModel)
| Enables or disables the categorization feature.
void | setSortCategoriesByNaturalComparison (bool sortCategoriesByNaturalComparison)
| Set if the sorting using CategorySortRole will use a natural comparison in the case that strings were returned.
void | sort (int column, Qt::SortOrder order=Qt::AscendingOrder) override
| Overridden from QSortFilterProxyModel.
bool | sortCategoriesByNaturalComparison () const
int | sortColumn () const
Qt::SortOrder | sortOrder () const

## Protected Member Functions
virtual void | setDirectSourceImportModel (ImportItemModel *const sourceModel)
| Reimplement if needed. Called only when model shall be set as (direct) sourceModel.
void | setSourceModel (QAbstractItemModel *sourceModel) override
Protected Member Functions inherited from Digikam::DCategorizedSortFilterProxyModel
virtual int | compareCategories (const QModelIndex &left, const QModelIndex &right) const
| This method compares the category of the `left` index with the category of the `right` index.
bool | lessThan (const QModelIndex &left, const QModelIndex &right) const override
| Overridden from QSortFilterProxyModel.
virtual bool | subSortLessThan (const QModelIndex &left, const QModelIndex &right) const
| This method has a similar purpose as lessThan() has on QSortFilterProxyModel.

## Protected Attributes
ImportSortFilterModel * | m_chainedModel = nullptr

## Additional Inherited Members
Public Types inherited from Digikam::DCategorizedSortFilterProxyModel
enum | AdditionalRoles { CategoryDisplayRole = 0x17CE990A , CategorySortRole = 0x27857E60 }

## Member Function Documentation

## ◆ camItemInfosSorted()

QList< CamItemInfo > Digikam::ImportSortFilterModel::camItemInfosSorted | ( |  | ) | const

If you do not need a sorted list, use ImportItemModel's camItemInfo() method.

## ◆ importFilterModel()

ImportFilterModel * Digikam::ImportSortFilterModel::importFilterModel | ( |  | ) | const
| virtual

Reimplemented in Digikam::ImportFilterModel.

## ◆ mapToSourceImportModel()

QModelIndex Digikam::ImportSortFilterModel::mapToSourceImportModel | ( | const QModelIndex & | proxyIndex | ) | const

Mentioned indexes returned come from the source import image model.

## ◆ setDirectSourceImportModel()

void Digikam::ImportSortFilterModel::setDirectSourceImportModel | ( | ImportItemModel *const | sourceModel | ) |
| protectedvirtual

Reimplemented in Digikam::ImportFilterModel.